LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-01-2007, 04:51 PM   #1
bigjig
Member
 
Registered: Aug 2007
Location: Nottingham, UK
Distribution: openSUSE 10.3
Posts: 38

Rep: Reputation: 15
Question Problems installing vlc player


I have CentOS 5, its a red hat el 5 clone. I've trying to install vlc player for linux and it comes up with the following errors while installation. Any tips folks?

Basically I want to play divx and wma and avi files...

Missing Dependency: libcucul.so.0 is needed by package vlc
Missing Dependency: libopendaap.so.0 is needed by package vlc
Missing Dependency: libx264.so.55 is needed by package vlc
Missing Dependency: libvcdinfo.so.0 is needed by package vlc
Missing Dependency: libcaca.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2) is needed by package vlc
Missing Dependency: libwx_baseu_net-2.6.so.0 is needed by package vlc
Missing Dependency: libaa.so.1 is needed by package vlc
Missing Dependency: libmodplug.so.0 is needed by package vlc
Missing Dependency: libxosd.so.2 is needed by package vlc
Missing Dependency: libSDL_image-1.2.so.0 is needed by package vlc
Missing Dependency: libid3tag.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_core-2.6.so.0 is needed by package vlc
Missing Dependency: libmatroska.so.0 is needed by package vlc
Missing Dependency: libcdio.so.7 is needed by package vlc
Missing Dependency: libwx_baseu_xml-2.6.so.0 is needed by package vlc
Missing Dependency: libdvdnav.so.4 is needed by package vlc
Missing Dependency: libmpeg2.so.0 is needed by package vlc
Missing Dependency: liba52.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_html-2.6.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_adv-2.6.so.0 is needed by package vlc
Missing Dependency: libebml.so.0 is needed by package vlc
Missing Dependency: libfaad.so.0 is needed by package vlc
Missing Dependency: libwx_baseu-2.6.so.0(WXU_2.6) is needed by package vlc
Missing Dependency: libwx_baseu-2.6.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6) is needed by package vlc
Missing Dependency: libupnp.so.2 is needed by package vlc
Missing Dependency: libcddb.so.2 is needed by package vlc
Missing Dependency: libwx_gtk2u_qa-2.6.so.0 is needed by package vlc
Missing Dependency: libdvdread.so.3 is needed by package vlc
Missing Dependency: libiso9660.so.5 is needed by package vlc
Missing Dependency: liblirc_client.so.0 is needed by package vlc
Missing Dependency: libwx_gtk2u_xrc-2.6.so.0 is needed by package vlc
Missing Dependency: libmp3lame.so.0 is needed by package vlc
Missing Dependency: libdvbpsi.so.4 is needed by package vlc
Missing Dependency: libmpcdec.so.3 is needed by package vlc
Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6) is needed by package vlc
Missing Dependency: libfaac.so.0 is needed by package vlc
Missing Dependency: libmad.so.0 is needed by package vlc
 
Old 09-01-2007, 05:38 PM   #2
kotnik
Member
 
Registered: Nov 2004
Location: Novi Sad, Serbia
Distribution: Debian, Slackware, Gentoo, openSuSE
Posts: 254

Rep: Reputation: 31
Did you use Dag's repository?

If not: http://dag.wieers.com/rpm/FAQ.php#B4
 
Old 09-02-2007, 01:36 PM   #3
bigjig
Member
 
Registered: Aug 2007
Location: Nottingham, UK
Distribution: openSUSE 10.3
Posts: 38

Original Poster
Rep: Reputation: 15
Hi there, thanx for the advice. I tried...

[root@localhost jig]# yum install /home/jig/Desktop/vlc-0.8.6c-1.el5.rf.i386.rpm

Sorry but I am a newbie! I read that link you gave me and tried whatever made sense to me. It came up with similar errors.

I read it again and realised, I need to install rpmforge-release first. So I installed rpmforge-release-0.3.5-1.rh7.rf.i386.rpm Wed 17 Jan 2007 10 kB Red Hat 7.X - i386

And then tried installing the vlc player using the yum command again. It worked!!!

Cheers mate.
 
Old 09-02-2007, 05:54 PM   #4
kotnik
Member
 
Registered: Nov 2004
Location: Novi Sad, Serbia
Distribution: Debian, Slackware, Gentoo, openSuSE
Posts: 254

Rep: Reputation: 31
Nice to hear. See, it wasn's so hard
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem in installing vlc player NewbieSlackware Linux - Software 1 04-12-2007 02:44 PM
installing vlc media player plugins Nau Mandriva 2 02-03-2007 05:20 AM
Problems Installing VLC Player. LoveKing Linux - Software 7 03-29-2006 11:02 AM
installing vlc media player from suse ftp-server? ungua Linux - Software 4 12-04-2004 02:39 PM
VLC media player problems unclejessie77 Linux - Software 0 10-26-2003 03:19 PM


All times are GMT -5. The time now is 10:00 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration